# Uses of Class
javax.mail.Provider.Type

Packages that use Provider.Type
Package
Description
javax.mail
The Jakarta Mail API provides classes that model a mail system.

## Uses of Provider.Type in javax.mail

Fields in javax.mail declared as Provider.Type
Modifier and Type
Field
Description
`static final Provider.Type`
Provider.Type.`STORE`
`static final Provider.Type`
Provider.Type.`TRANSPORT`
Methods in javax.mail that return Provider.Type
Modifier and Type
Method
Description
`Provider.Type`
Provider.`getType()`
Returns the type of this Provider.
Constructors in javax.mail with parameters of type Provider.Type
Modifier
Constructor
Description
``
`Provider(Provider.Type type, String protocol, String classname, String vendor, String version)`
Create a new provider of the specified type for the specified protocol.